> ## Documentation Index
> Fetch the complete documentation index at: https://developer.watson-orchestrate.ibm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get List Of Tools Of An Agent Specific To A Version

> Retrieves details of a specific agent by its id.



## OpenAPI

````yaml get /v1/orchestrate/agents/{id}/tools-by-version
openapi: 3.1.0
info:
  title: WxO Server API
  summary: API for the next gen watsonx Orchestrate stack
  description: >+

    The watsonx Orchestrate Server provides a set of APIs to power the watsonx
    Orchestrate AI assistant. This includes the following core services:


    * Orchestrate Assistant - a built-in AI assistant that powers the
    Orchestrate end-user experience.

    * Custom Assistants - a service layer for interacting with existing AI
    assistatns (such as those in watsonx Assistant).

    * Message Threads - a chat history and async message tracking store.

    * Document Store - manage collections of documents in nearly any format
    including text, pdf, html and many more.

    * Information Extraction - automatically extract clean text and images from
    any document in the Document Store.  Also extract other useful metadata like
    questions answered, keywords, and named entities.

    * Embedding - generate vector embeddings for text and images in the Document
    Store.

    * Vector Index and Retrieval - automatically index documents with rich
    metadata for vector search or hybrid search.

    * Search Engine - create a Gen AI powered search engine that works like Bing
    or Google.

    * Query Engine - configure your own RAG (Retrieval Augmented Generation)
    engine supporting advanced retrieval patterns and automated data management.

    * Model Proxy - create your own LLM model endpoints for chat completions and
    embeddings.  Supports IBM watsonx.ai, IBM BAM, OpenAI, MistralAI, or Ollama
    for local models.


    WxO API Server utilizes the following open source projects:


    * [PostgreSQL](https://www.postgresql.org/)

    * [PGVector](https://github.com/pgvector/pgvector)

    * [LlamaIndex](https://docs.llamaindex.ai/en/stable/)

    * [LangChain](https://python.langchain.com/docs/get_started/introduction)

    * [FastAPI](https://fastapi.tiangolo.com/)

    * [Unstructured](https://unstructured.io/)

    * [Celery](https://docs.celeryproject.org/en/stable/)

  version: 0.1.0
servers:
  - url: https://{api_endpoint}
    description: version
security: []
paths:
  /v1/orchestrate/agents/{id}/tools-by-version:
    get:
      tags:
        - Agents
      summary: Get List Of Tools Of An Agent Specific To A Version
      description: Retrieves details of a specific agent by its id.
      operationId: >-
        Get_list_of_tools_of_an_agent_specific_to_a_version_v1_orchestrate_agents__id__tools_by_version_get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            title: Id
        - name: version_label
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: 'Version of the agent to retrieve the associated tools '
            default: 1
            title: Version Label
          description: 'Version of the agent to retrieve the associated tools '
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AgentToolVersionMinimal'
                title: >-
                  Response Get List Of Tools Of An Agent Specific To A Version
                  V1 Orchestrate Agents  Id  Tools By Version Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    AgentToolVersionMinimal:
      properties:
        tool_id:
          type: string
          format: uuid
          title: Tool Id
          description: Unique Identifier of the tool
        version_label:
          type: integer
          title: Version Label
          description: Version Label
        tool_version_id:
          type: string
          format: uuid
          title: Tool Version Id
          description: Tool ID of the agent version
        name:
          type: string
          title: Name
          description: Tool name
        display_name:
          type: string
          title: Display Name
          description: Tool display name
        agent_id:
          type: string
          format: uuid
          title: Agent Id
          description: Associated agent id
      type: object
      required:
        - tool_id
        - version_label
        - tool_version_id
        - name
        - display_name
        - agent_id
      title: AgentToolVersionMinimal
      description: A minimal details of a tool that is part of an agent version
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````